# Is a variable empty

Source: `R/radiant.R`
`is.empty.Rd`

Is a variable empty

    is.empty(x, empty = "\\s*")

## Arguments

x

  Character value to evaluate

empty

  Indicate what 'empty' means. Default is empty string (i.e., "")

## Value

TRUE if empty, else FALSE

## Details

Is a variable empty

## Examples

    is.empty("")
    #> [1] TRUE
    is.empty(NULL)
    #> [1] TRUE
    is.empty(NA)
    #> [1] TRUE
    is.empty(c())
    #> [1] TRUE
    is.empty("none", empty = "none")
    #> [1] TRUE
    is.empty("")
    #> [1] TRUE
    is.empty("   ")
    #> [1] TRUE
    is.empty(" something  ")
    #> [1] FALSE
    is.empty(c("", "something"))
    #> [1] FALSE
    is.empty(c(NA, 1:100))
    #> [1] FALSE
    is.empty(mtcars)
    #> [1] FALSE